/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package sdsimulator.interfaz;
import javax.swing.*;
import javax.swing.filechooser.*;
import java.awt.*;
import java.io.*;

/**
 *
 * @author Miguel Herreros
 */
public class VentanaGuardarTexto{
    public VentanaGuardarTexto(Component parent, JTextArea texto) throws Exception{
        JFileChooser ventanaGuardar = new JFileChooser(".");
        FileNameExtensionFilter filtro = new FileNameExtensionFilter("Text File", "txt");
    
        ventanaGuardar.setFileFilter(filtro);
        
        int returnVal = ventanaGuardar.showSaveDialog(parent);
        
        if(returnVal == JFileChooser.APPROVE_OPTION) {
            File archivo = ventanaGuardar.getSelectedFile();
            
            if (archivo.exists()){
                VentanaConfirmarSobreescribir confirmacion = new VentanaConfirmarSobreescribir(parent);
                if (confirmacion.getResultado() == JOptionPane.YES_OPTION){
                    archivo.delete();
                    archivo.createNewFile();
                }
                else return;
            }
            
            FileWriter     fw     = new FileWriter(archivo);
            BufferedWriter bw     = new BufferedWriter(fw);
            PrintWriter    salida = new PrintWriter(bw);
            
            salida.print(texto.getText());
            salida.close();
        }    
    }
}

